package com.ruoyi.project.ehs.domain;



import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;

import com.ruoyi.framework.aspectj.lang.annotation.Excel;

import com.ruoyi.framework.web.domain.BaseEntity;

import org.apache.commons.lang3.builder.ToStringBuilder;

import org.apache.commons.lang3.builder.ToStringStyle;



/**

 * 危险废物出入库月报对象 t_waste_dangermonth

 *

 * @author ruoyi

 * @date 2020-12-08

 */

public class TWasteDangermonth extends BaseEntity

{

    private static final long serialVersionUID = 1L;



    /** id */

    private Long id;



    /** 装置 */

    @Excel(name = "装置名称", dictType = "PLANT_DIVIDE")

    private String plantCode;



    /** 月份 */

    @JsonFormat(pattern = "yyyy-MM" , timezone = "GMT+8")

    @Excel(name = "月份", width = 30, dateFormat = "yyyy-MM")

    private Date month;



    /** 危险废物编号 */

    @Excel(name = "危险废物编号")

    private String hazardousWasteCode;



    /** 危废名称 */

    @Excel(name = "危险废品名称")

    private String name;



    /** 当月入库数量(ton) */

    @Excel(name = "当月入库数量(ton)")

    private Double incomingQuantity;



    /** 当月出库数量 */

    @Excel(name = "当月出库数量(ton)")

    private Double transferQuantity;



    /** 上月库存数量 */

    @Excel(name = "上月库存数量(ton)")

    private Double periodStock;



    /** 当月结存数量 */

    @Excel(name = "当月结存数量(ton)")

    private Double endStock;



    /** 删除标识 */

    private Long delFlag;



    /** 创建人 */

    private String createrCode;



    /** 创建日期 */

    private Date createdate;



    /** 更新人 */

    private String updaterCode;



    /** 更新日期 */

    private Date updatedate;



    /** 部门编号 */

    private Long deptId;



    /** 备注 */

    @Excel(name = "备注")

    private String remarks;

    /** 部门名称 */
    @Excel(name = "部门名称")
    private String deptName;

    /** 查询开始日期 */
    @JsonFormat(pattern = "yyyy-MM" , timezone = "GMT+8")
    private Date startDate;

    /** 查询结束日期 */
    @JsonFormat(pattern = "yyyy-MM" , timezone = "GMT+8")
    private Date endDate;

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public void setId(Long id)

    {

        this.id = id;

    }



    public Long getId()

    {

        return id;

    }

    public void setPlantCode(String plantCode)

    {

        this.plantCode = plantCode;

    }



    public String getPlantCode()

    {

        return plantCode;

    }

    public void setMonth(Date month)

    {

        this.month = month;

    }



    public Date getMonth()

    {

        return month;

    }

    public void setHazardousWasteCode(String hazardousWasteCode)

    {

        this.hazardousWasteCode = hazardousWasteCode;

    }



    public String getHazardousWasteCode()

    {

        return hazardousWasteCode;

    }

    public void setName(String name)

    {

        this.name = name;

    }



    public String getName()

    {

        return name;

    }

    public void setIncomingQuantity(Double incomingQuantity)

    {

        this.incomingQuantity = incomingQuantity;

    }



    public Double getIncomingQuantity()

    {

        return incomingQuantity;

    }

    public void setTransferQuantity(Double transferQuantity)

    {

        this.transferQuantity = transferQuantity;

    }



    public Double getTransferQuantity()

    {

        return transferQuantity;

    }

    public void setPeriodStock(Double periodStock)

    {

        this.periodStock = periodStock;

    }



    public Double getPeriodStock()

    {

        return periodStock;

    }

    public void setEndStock(Double endStock)

    {

        this.endStock = endStock;

    }



    public Double getEndStock()

    {

        return endStock;

    }

    public void setDelFlag(Long delFlag)

    {

        this.delFlag = delFlag;

    }



    public Long getDelFlag()

    {

        return delFlag;

    }

    public void setCreaterCode(String createrCode)

    {

        this.createrCode = createrCode;

    }



    public String getCreaterCode()

    {

        return createrCode;

    }

    public void setCreatedate(Date createdate)

    {

        this.createdate = createdate;

    }



    public Date getCreatedate()

    {

        return createdate;

    }

    public void setUpdaterCode(String updaterCode)

    {

        this.updaterCode = updaterCode;

    }



    public String getUpdaterCode()

    {

        return updaterCode;

    }

    public void setUpdatedate(Date updatedate)

    {

        this.updatedate = updatedate;

    }



    public Date getUpdatedate()

    {

        return updatedate;

    }

    public void setDeptId(Long deptId)

    {

        this.deptId = deptId;

    }



    public Long getDeptId()

    {

        return deptId;

    }

    public void setRemarks(String remarks)

    {

        this.remarks = remarks;

    }



    public String getRemarks()

    {

        return remarks;

    }

    public void setStartDate(Date startDate)

    {

        this.startDate = startDate;

    }



    public Date getStartDate()

    {

        return startDate;

    }

    public void setEndDate(Date endDate)

    {

        this.endDate = endDate;

    }



    public Date getEndDate()

    {

        return endDate;

    }



    @Override

    public String toString() {

        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)

                .append("id", getId())

                .append("plantCode", getPlantCode())

                .append("month", getMonth())

                .append("hazardousWasteCode", getHazardousWasteCode())

                .append("name", getName())

                .append("incomingQuantity", getIncomingQuantity())

                .append("transferQuantity", getTransferQuantity())

                .append("periodStock", getPeriodStock())

                .append("endStock", getEndStock())

                .append("delFlag", getDelFlag())

                .append("createrCode", getCreaterCode())

                .append("createdate", getCreatedate())

                .append("updaterCode", getUpdaterCode())

                .append("updatedate", getUpdatedate())

                .append("deptId", getDeptId())

                .append("remarks", getRemarks())

                .append("deptName", getDeptName())

                .append("startDate", getStartDate())

                .append("endDate", getEndDate())

                .toString();

    }

}
